aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--development/Amaya/Amaya.SlackBuild33
-rw-r--r--development/Amaya/Amaya.info8
-rw-r--r--development/Amaya/README8
-rw-r--r--development/Amaya/doinst.sh8
-rw-r--r--development/Amaya/wrapper.amaya11
5 files changed, 45 insertions, 23 deletions
diff --git a/development/Amaya/Amaya.SlackBuild b/development/Amaya/Amaya.SlackBuild
index a1931b7f45897..5093195aa2d92 100644
--- a/development/Amaya/Amaya.SlackBuild
+++ b/development/Amaya/Amaya.SlackBuild
@@ -31,13 +31,12 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#
-# Changed to version 10.0.1 by ks/30.08.2008
+# Changed to version 11.0 by ks/22.01.2009
set -e
PRGNAM=Amaya
-VERSION=10.0.1
-SRCVER=10.0
+VERSION=11.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -58,32 +57,35 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $TMP/$PRGNAM$SRCVER
+rm -rf $TMP/$PRGNAM$VERSION
tar -xzvf $CWD/$(echo $PRGNAM |tr [A] [a])-sources-$VERSION.tgz
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
# Creating a subdirectory as specified in the README as we Have to run
# configure from within a subdir
-mkdir -p $PRGNAM$SRCVER/$PRGNAM/Slackware
-cd $PRGNAM$SRCVER/$PRGNAM/Slackware
+mkdir -p $PRGNAM$VERSION/$PRGNAM/Slackware
+cd $PRGNAM$VERSION/$PRGNAM/Slackware
CFLAGS="$SLKFLAGS" \
- ../configure \
- --prefix=$PKG/opt \
- --exec-prefix=$PKG/opt \
- --sysconfdir=$PKG/etc \
- --localstatedir=$PKG/var
-
+../configure \
+ --prefix=$PKG/opt \
+ --exec-prefix=$PKG/opt \
+ --sysconfdir=$PKG/etc \
+ --localstatedir=$PKG/var \
+ --enable-system-raptor \
+ --build=$ARCH-slackware-linux
+
make
make install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $TMP/$PRGNAM$SRCVER/$PRGNAM/README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM$VERSION/$PRGNAM/README* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Creating /usr/bin/amaya-wx symbolic link
@@ -95,6 +97,9 @@ mkdir -p $PKG/usr/bin
# Deleting useless files
rm -rf $PKG/opt/bin
+# Fix the amaya wrapper script
+install -m 0755 $CWD/wrapper.amaya $PKG/opt/$PRGNAM/wx/bin/amaya
+
#desktop file
mkdir -p $PKG/usr/share/{pixmaps,applications}
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
diff --git a/development/Amaya/Amaya.info b/development/Amaya/Amaya.info
index 6b96271f6cfd9..848b1863d7bbd 100644
--- a/development/Amaya/Amaya.info
+++ b/development/Amaya/Amaya.info
@@ -1,8 +1,8 @@
PRGNAM="Amaya"
-VERSION="10.0.1"
+VERSION="11.0"
HOMEPAGE="http://www.w3.org/Amaya"
-DOWNLOAD="ftp://ftp.w3.org/pub/amaya/amaya-sources-10.0.1.tgz"
-MD5SUM="0a32af56cf81c13b6efc5c65c2137859"
+DOWNLOAD="http://www.w3.org/Amaya/Distribution/amaya-sources-11.0.tgz"
+MD5SUM="d5ebaf20528373effcea7978f8856b6d"
MAINTAINER="Kai Schreyer"
EMAIL="kabrus@go4more.de"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero, michiel"
diff --git a/development/Amaya/README b/development/Amaya/README
index c643bbe439903..144c7d7df1a64 100644
--- a/development/Amaya/README
+++ b/development/Amaya/README
@@ -13,4 +13,10 @@ of their combination in a single, consistent environment.
Amaya started as an HTML + CSS style sheets editor. Since that time it was
extended to support XML and an increasing number of XML applications such as
the XHTML family, MathML, and SVG. It allows all those vocabularies to be
-edited simultaneously in compound document \ No newline at end of file
+edited simultaneously in compound document
+
+NOTE: Since Amaya 11.0 the --enable-system-raptor option is used to build
+the package. Therefore the raptor library, also available at SlackBuilds.org,
+is required to build this package. Without this option the build currently
+exits with errors. Maybe this changes in the future, so that the dependency
+will be then obsolete again.
diff --git a/development/Amaya/doinst.sh b/development/Amaya/doinst.sh
index ffc3036c9c640..caecc9996db84 100644
--- a/development/Amaya/doinst.sh
+++ b/development/Amaya/doinst.sh
@@ -1,8 +1,8 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
-if [ -x usr/bin/update-mime-database ]; then
- usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
diff --git a/development/Amaya/wrapper.amaya b/development/Amaya/wrapper.amaya
new file mode 100644
index 0000000000000..4f9c6f7ed26b4
--- /dev/null
+++ b/development/Amaya/wrapper.amaya
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# Script to launchs amaya_bin
+# Irene Vatton, 2007
+#
+
+AMAYA_INSTALLDIR="Amaya"
+PREFIX=/opt
+AMAYAGUI="wx"
+
+env XLIB_SKIP_ARGB_VISUALS=1 G_SLICE="always-malloc" $PREFIX/$AMAYA_INSTALLDIR/$AMAYAGUI/bin/amaya_bin ${1+$@}